### Class

# Foundry DeviceInfo

#### Description [src]

    abstract class Foundry.DeviceInfo : GObject.Object
    {
      /* No available fields */
    }

Minimal descriptive information about a device.

#### Ancestors

- GObject

#### Instance methods

###### foundry_device_info_dup_id

No description available.

###### foundry_device_info_dup_name

No description available.

###### foundry_device_info_dup_triplet

No description available.

###### foundry_device_info_get_active

No description available.

###### foundry_device_info_get_chassis

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.DeviceInfo:active

No description available.

###### Foundry.DeviceInfo:chassis

No description available.

###### Foundry.DeviceInfo:device

No description available.

###### Foundry.DeviceInfo:id

No description available.

###### Foundry.DeviceInfo:name

No description available.

###### Foundry.DeviceInfo:triplet

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryDeviceInfoClass {
      GObjectClass parent_class;
      char* (* dup_id) (
        FoundryDeviceInfo* self
      );
      char* (* dup_name) (
        FoundryDeviceInfo* self
      );
      FoundryTriplet* (* dup_triplet) (
        FoundryDeviceInfo* self
      );
      FoundryDeviceChassis (* get_chassis) (
        FoundryDeviceInfo* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`dup_id: char* (* dup_id) ( FoundryDeviceInfo* self )`

  No description available.

`dup_name: char* (* dup_name) ( FoundryDeviceInfo* self )`

  No description available.

`dup_triplet: FoundryTriplet* (* dup_triplet) ( FoundryDeviceInfo* self )`

  No description available.

`get_chassis: FoundryDeviceChassis (* get_chassis) ( FoundryDeviceInfo* self )`

  No description available.

#### Virtual methods

###### Foundry.DeviceInfoClass.dup_id

No description available.

###### Foundry.DeviceInfoClass.dup_name

No description available.

###### Foundry.DeviceInfoClass.dup_triplet

No description available.

###### Foundry.DeviceInfoClass.get_chassis

No description available.